[Overview][Procedures and functions][Index] | Reference for unit 'Strings' (#rtl)

# stralloc

Allocate memory for a new null-terminated string on the heap

## Declaration

Source position: strings.pp line 97

`function stralloc(`
`L: SizeInt`
`):PChar;`

## Description

StrAlloc reserves memory on the heap for a string with length Len, terminating #0 included, and returns a pointer to it.

## Errors

If there is not enough memory, a run-time error occurs.

## See also

StrNew |  | Allocate room for new null-terminated string.
StrPCopy |  | Copy a pascal string to a null-terminated string